=== debian/changelog ===
directfb (1.7.0-final1) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Wed, 10 Jul 2013 20:19:33 +0100

directfb (1.7.0-20121011) precise; urgency=low

  * new upstream version, merged in a lot of packages

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 11 Oct 2012 14:32:34 +0100

directfb (1.7.0-20121008) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 08 Oct 2012 11:37:34 +0100

directfb (1.7.0-20121007) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 07 Oct 2012 22:38:34 +0100

directfb (1.7.0-20121004) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 04 Oct 2012 22:38:34 +0100

directfb (1.7.0-20120924) precise; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Mon, 24 Sep 2012 13:38:51 +0100

directfb (1.6.0-1) natty; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 14 Jun 2012 17:54:59 +0100

directfb (1.6.0-0rc1) natty; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Wed, 31 Aug 2011 12:56:41 +0100

directfb (1.5.2-1) natty; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Fri, 29 Jul 2011 12:52:44 +0100

directfb (1.5.0-20110503) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Tue, 03 Mar 2011 11:05:16 +0100

directfb (1.5.0-20110422) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Fri, 22 Apr 2011 12:28:16 +0100

directfb (1.5.0-20110418) maverick; urgency=low

  * package requestors and dispatchers for voodoo operation
  * include voodooplay and dfbproxy in libdirectfb-bin package

 -- Andreas Shimokawa <andi@directfb.org>  Mon, 18 Apr 2011 20:28:16 +0100

directfb (1.5.0-20110413) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Wed, 13 Apr 2011 15:28:16 +0100

directfb (1.5.0-20110330) maverick; urgency=low

  * new upstream version

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 24 Mar 2011 12:28:16 +0100

directfb (1.5.0-20110329) maverick; urgency=low

  * new upstream version
  * package vnc system

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 24 Mar 2011 12:28:16 +0100

directfb (1.5.0-20110324) maverick; urgency=low

  * new upstream version, rename pacakage names for later 1.4 packaging

 -- Andreas Shimokawa <andi@directfb.org>  Thu, 24 Mar 2011 12:28:16 +0100

directfb (1.5.0-20110322) maverick; urgency=low

  * change naming scheme of modules, set package version to current date

 -- Andreas Shimokawa <andi@directfb.org>  Tue, 22 Mar 2011 23:59:16 +0100

directfb (1.5.0-1) maverick; urgency=low

  * initial package of DirectFB 1.5

 -- Andreas Shimokawa <andi@directfb.org>  Tue, 22 Mar 2011 15:58:16 +0100
