=== debian/control ===
Source: directfb
Priority: optional
Maintainer: Andreas Shimokawa <andi@directfb.org>
Uploaders: Andreas Shimokawa <andi@directfb.org>, Denis Oliver Kropp <dok@directfb.org>
Build-Depends: debhelper (>= 7.4.15), autoconf, automake,
 libtool, pkg-config, libfreetype6-dev, libjpeg-dev, libpng12-dev,
 libmng-dev, libimlib2-dev, libjasper-dev, 
 libts-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 zlib1g-dev, x11proto-core-dev, libx11-dev, libxext-dev,
 libsysfs-dev [alpha amd64 arm armel avr32 hppa i386 ia64 m68k mips mipsel powerpc ppc64 s390 sh4],
 libvncserver-dev, libasound2-dev, libmad0-dev, libvorbis-dev, libavcodec-dev,
 libavformat-dev, libavutil-dev,
 linux-fusion-dkms [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !armhf]
Standards-Version: 3.9.0
Section: libs
Homepage: http://www.directfb.org/

Package: libdirectfb-1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, linux-fusion-dkms [!armhf],
 libdirectfb-1.7-wm, libdirectfb-1.7-system
Recommends: libdirectfb-1.7-imageprovider-gif, libdirectfb-1.7-imageprovider-png,
 libdirectfb-1.7-imageprovider-jpeg, libdirectfb-1.7-fontprovider-dgiff,
 libdirectfb-1.7-fontprovider-ft2, libdirectfb-1.7-wm-default
Description: DirectFB - shared libraries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.

Package: libdirectfb-1.7-bin
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-bin
Conflicts: libdirectfb-bin
Provides: libdirectfb-bin
Description: DirectFB - binaries
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DirectFB background configuration tool
 and the directfbrc man page.

Package: libdirectfb-1.7-gfxdriver-gles2
Architecture: armhf
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-gfxdriver-gles2
Conflicts: libdirectfb-gfxdriver-gles2
Provides: libdirectfb-1.7-gfxdriver
Description: DirectFB - gles2 gfxdriver module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the EGL system module.

Package: libdirectfb-1.7-system-egl
Architecture: armhf
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-egl
Conflicts: libdirectfb-system-egl
Provides: libdirectfb-1.7-system
Description: DirectFB - egl system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the EGL system module.

Package: libdirectfb-1.7-system-fbdev
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-fbdev
Conflicts: libdirectfb-system-fbdev
Provides: libdirectfb-1.7-system
Description: DirectFB - fbdev system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the FBDEV system module.

Package: libdirectfb-1.7-system-vnc
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides: libdirectfb-1.7-system
Description: DirectFB - vnc system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the VNC system module.

Package: libdirectfb-1.7-system-x11
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-x11
Conflicts: libdirectfb-system-x11
Provides: libdirectfb-1.7-system
Description: DirectFB - x11 system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the X11 system module.

Package: libdirectfb-1.7-system-x11vdpau
Architecture: i386 amd64
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-x11vdpau
Conflicts: libdirectfb-system-x11vdpau
Provides: libdirectfb-1.7-system
Description: DirectFB - x11vdpau system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the X11VDPAU system module.

Package: libdirectfb-1.7-system-x11vdpau-dev
Architecture: i386 amd64
Depends: libdirectfb-1.7-dev (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-x11vdpau-dev
Conflicts: libdirectfb-system-x11vdpau-dev
Provides: libdirectfb-1.7-system-dev
Description: DirectFB - x11vdpau system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the X11VDPAU system module development files.

Package: libdirectfb-1.7-system-devmem
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-system-devmem
Conflicts: libdirectfb-system-devmem
Provides: libdirectfb-1.7-system
Description: DirectFB - devmem system module
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DEVMEM system module.

Package: libdirectfb-1.7-imageprovider-png
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-png
Conflicts: libdirectfb-imageprovider-png
Description: DirectFB - png image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the PNG image provider

Package: libdirectfb-1.7-imageprovider-jpeg
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-jpeg
Conflicts: libdirectfb-imageprovider-jpeg
Description: DirectFB - jpeg image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the JPEG image provider

Package: libdirectfb-1.7-imageprovider-gif
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-gif
Conflicts: libdirectfb-imageprovider-gif
Description: DirectFB - gif image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the GIF image provider

Package: libdirectfb-1.7-imageprovider-dfiff
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-imageprovider-dfiff
Conflicts: libdirectfb-imageprovider-dfiff
Description: DirectFB - dfiff image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the DFIFF image provider

Package: libdirectfb-1.7-imageprovider-bmp
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - bmp image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the BMP image provider

Package: libdirectfb-1.7-imageprovider-jpeg2000
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - jpeg2000 image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the JPEG2000 image provider

Package: libdirectfb-1.7-imageprovider-imlib2
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - imlib2 image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the IMLIB2 image provider

Package: libdirectfb-1.7-imageprovider-pnm
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - pnm image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the PNM image provider

Package: libdirectfb-1.7-imageprovider-mpeg2
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - mpeg2 image provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the MPEG2 image provider

Package: libdirectfb-1.7-videoprovider-gif
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-videoprovider-gif
Conflicts: libdirectfb-videoprovider-gif
Description: DirectFB - gif video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the GIF video provider

Package: libdirectfb-1.7-videoprovider-mng
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - mng video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the MNG video provider

Package: libdirectfb-1.7-videoprovider-v4l
Architecture: any
Depends: libdirectfb-1.7 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Replaces: libdirectfb-videoprovider-v4l
Conflicts: libdirectfb-videoprovider-v4l
Description: DirectFB - v4l video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
 of resource usage and overhead.
 .
 This package contains the V4L video provider

Package: libdirectfb-1.7-videoprovider-ffmpeg
Architecture: any
Depends: libdirectfb-1.7,
 ${shlibs:Depends}, ${misc:Depends}
Description: DirectFB - ffmpeg video provider
 DirectFB is a graphics library which was designed with embedded systems
 in mind. It offers maximum hardware accelerated performance at a minimum
